@echo off
set path=
set ramd=R
set keyboard=PL 
IF %config%==DOCMEM goto %config%
IF %config%==GM goto %config%
IF %config%==MEMTEST goto %config%
IF %config%==NORAM goto finish
IF %config%==DOSNOCD startup all nocd
IF %config%==NETWORK startup all nm
IF %config%==PC startup all nm
IF %config%==USB startup all usb
IF %config%==GHOSTUSB startup all usb
IF %config%==SCSI startup all scsi
IF %config%==GHOSTSC startup all scsi
startup all
:all
IF %_cd%'==no' goto finish
if not exist %ramd%:\uharcd.exe copy %cdrom%\bootcd\uharcd.exe %ramd%:\>nul
IF %config%==GHOSTUSB call ghost
IF %config%==GHOSTSC call ghost
IF %config%==NETWORK %config% x
IF %config%==PC call %config% 
IF %config%==PQPM call %config%
IF %config%==ADDS call %config%
IF %config%==DOSNOSMT set ns=1
IF %config%==PM call %config%
IF %config%==PART call %config%
IF %config%==PRESIZER call %config%
IF %config%==SFDISK call %config%
IF %config%==SPFDISK call %config%
IF %config%==XFDISK call %config%
IF %config%==GDISK call %config%
IF %config%==SDISK call %config%
IF %config%==PQDI call %config%
IF %config%==GHOST call %config%
IF %config%==ATIS call %config%
IF %config%==SAVEPART call %config%
IF %config%==COPYR call %config%
IF %config%==SNAPSHOT call %config%
IF %config%==FPROT call %config%
IF %config%==MCAFEE call %config%
IF %config%==NAV call %config%
IF %config%==CHANGEPW %config%
IF %config%==APR call %config%
IF %config%==APC call %config%
IF %config%==UNERASER call %config%
IF %config%==WDC call %config%
IF %config%==DM call %config%
IF %config%==SPEEDSYS %config%
IF %config%==SA call %config%
IF %config%==NSSI call %config%
IF %config%==DOSNOEMM set ns=1
IF %config%==AIDA goto %config%
IF %config%==HWINFO goto %config%
IF %config%==ASTRA call %config%
IF %config%==PCCONFIG call %config%
IF %config%==HDDREG call %config%
IF %config%==SYSCHK call %config%
IF %config%==PCCHECK call %config%
IF %config%==TS call %config%
IF %config%==PCDOCTOR %config%
IF %config%==PCI call %config%
IF %config%==TEST call %config%
IF %config%==TESTHDD call %config%
IF %config%==ESTEST %config%
IF %config%==NDD call %config%
IF %config%==NDE call %config%
IF %config%==MBRTOOL call %config%
IF %config%==BM call %config%
IF %config%==MBRWORK call %config%
IF %config%==DISKMAN4 call %config%
IF %config%==BOOTFIX call %config%
IF %config%==BOOTSV call %config%
IF %config%==BOOTPART call %config%
IF %config%==PTD call %config%
IF %config%==SBMINST call %config%
IF %config%==PTEDIT call %config%
IF %config%==MBRWIZD call %config%
IF %config%==CMOSPWD call %config%
IF %config%==CMOS call %config%
IF %config%==CMOSPWC call %config%
IF %config%==IBIOS call %config%
IF %config%==BIOS call %config%
IF %config%==CPUID call %config%
IF %config%==CTIA call %config%
IF %config%==UNIFLASH call %config%
IF %config%==KILLCMOS call %config%
IF %config%==DMICFG call %config%
IF %config%==MHDD call %config%
IF %config%==VICTORIA call %config%
IF %config%==ATAPWD call %config%
IF %config%==HDDTOOLS call %config% %V%
IF %config%==HDDERASE call %config%
IF %config%==PV call PICTVIEW
IF %config%==QV call %config%
IF %config%==DP call %config%
IF %config%==MTL call %config%
IF %config%==MPLAY call %config%
IF %config%==COM1 call cab mix
IF %config%==LPT1 call cab mix
IF %config%==COM1 loadsys /ss /od interlnk.exe /drives:5 /com1 /noprinter
IF %config%==LPT1 loadsys /ss /od interlnk.exe /drives:5 /lpt1 /noprinter
IF %config%==SMARTUDM call %config%
IF %config%==HDS call %config%
IF %config%==KILLDISK call %config%
IF %config%==HDAT2 call %config%
IF %config%==REGVIEW call %config%
IF %config%==REHIVE call %config%
IF %config%==GHSTWALK call %config%
wbat fill (+cyan on black)
if %ns%1==11 goto nosmart
echo Loading SmartDrv
smartdrv>nul
:nosmart
set ns=
IF %config%==MINI98 %config%
if exist %ramd%:\fdisk.exe goto notools
copy %cdrom%\bootcd\tools.uha %ramd%:\ >nul
uharcd x -y+ -t%ramd%:\ %ramd%:\tools.uha
del %RAMD%:\tools.uha >nul
:notools
IF %config%==ER call %config%
IF %config%==TESTDISK call %config%
IF %config%==PHOTOREC call %config%
IF %config%==LOST_FND call %config%
IF %config%==DOSBURN %config%
IF %config%==LL call LL5
IF %config%==DOSNAV call %config%
IF %config%==FM call %config%
IF %config%==FW call %config%
IF %config%==DCC call DosCC
IF %config%==VC call %config%
IF %config%==FX call %config%
IF %config%==ODA call %config%
IF %config%==NTFS call %config%
IF %config%==NTFS4DOS call %config%
IF %config%==PMOUNT %config%
IF %config%==NTFSDOSR call %config%
IF %config%==EDITBINI call %config%
IF %config%==NTPWD call %config%
IF %config%==WIN311 %config%
IF %cmd%1==YES1 goto end
goto finish
:docmem
set _cd=no
mouse
%config%
goto info
:gm
set _cd=no
%config% /q
goto info
:memtest
set _cd=no
cls
memtest
goto info
:aida
call cab %config%
call loadcd u
aida
:loadcddr
wbat box " ^  Load CDROM Driver ?  ^ ",Yes,No #1,2
if errorlevel 1 if not errorlevel 2 call loadcd
goto finish
:hwinfo
call cab %config%
call loadcd u
%config%
goto loadcddr

:finish
if %cdrom%'==B:' goto nocd
IF not exist %cdrom%\BootCD\pqpm.uha goto nocd
echo   %cdrom% CDROM Drive
goto ramd
:nocd
set _cd=no
if exist %ramd%:\nul goto ramd
goto info
:ramd
%ramd%:>nul
wbat fill (+cyan on black)
echo   %ramd%: Ram Drive
:info
echo   B: Floppy Drive
echo  ΙΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝ»
echo  Ί                            Hiren's BootCD 9.5                              Ί
echo  Ί    For information about this bootcd please visit http://www.hiren.info    Ί
echo  Ί             Please email feedback to: thankihiren(a)hotmail.com            Ί
echo  ΘΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΌ
:end
IF %_cd%'==no' goto x
echo Type M for Menu
:x
IF not %cmd%1==YES1 cd\ >nul
set cmd=